// ----------------------------------------------------------------------------
//
// Copyright (C) 2004 by Byte Paradigm.  All rights reserved.
//
//  The content of this document is the property of Byte Paradigm.
//  No part of this document may be reproduced or transmitted in any form
//  or by any means, electronically, mechanically, photocopying, recording
//  or otherwise, without the prior written consent of Byte Paradigm.
//  Before referencing this document, the user must ensure that he/she
//  uses the latest revision of the document.
//
// ----------------------------------------------------------------------------
//
//  File Name   : AnalyserC.h
//
//  Project     : Phoenix
//  Limitations : -
//  Assumptions : Win2k or WinXP
//  Errors      : -
//  Notes       : -
//  Author      : Didier Martiny
//
//  Description : Tcl API to the Arbitrary wave form generator / sampler
//                This class has been modified to enable the generation of a 
//                pure C interface. This DLL is generated by defining the 
//                C_API macro.
//
// ----------------------------------------------------------------------------


    int  ana_AnalyserC(void);
    int  ana_CreateInstance(void);
    void ana_SelectInstance(int Handle);
    int  ana_SelectDevice(char *pSerNum);
    void ana_SelectIOVoltage(int IOVoltage);

    short ana_Ver(void);
    bool  ana_IsDeviceReady(void);
    void  ana_Terminate(void);

    void ana_SetReqClock(int Freq);
    int  ana_GetReqClock(void);
    int  ana_GetSynthClock(void);
    int  ana_GetSynthOutClock(void);
    void ana_SetOutputClock(bool Output);
    bool ana_GetOutputClock(void);
    void ana_UseIntClock(void);
    void ana_UseExtClock(void);
    bool ana_GetClockSource(void);

    void ana_SetClockEdge(bool Pos);
    bool ana_GetClockEdge(void);
    void ana_SetClockSampling(bool RisingEdge);
    bool ana_GetClockSampling(void);
    int  ana_SetTriggerPos(int Sample);
    int  ana_GetTriggerPos(void);
    void ana_SetOutClockRatio(int Ratio);
    int  ana_GetOutClockRatio(void);
    void ana_SetClockDisablePLL(bool Disable);
    bool ana_GetClockDisablePLL(void);
    void ana_SetInternalTrigger(bool Internal);
    bool ana_GetInternalTrigger(void);
    void ana_SetEdgeTrigger(bool Enable);
    bool ana_GetEdgeTrigger(void);
    void ana_SetCtrlTrigMask(short *pMask);
    void ana_GetCtrlTrigMask(short *pCtrlTrigMask);
    void ana_SetCtrlTrigPattern(short *pPattern);
    void ana_GetCtrlTrigPattern(short *pTrigPattern);

    void ana_EnDefaultCtrl(void);
    void ana_DisDefaultCtrl(void);
    bool ana_GetDefaultCtrlEn(void);

    void ana_SetCtrlMaskIn(short *pMaskIn);
    void ana_GetCtrlMaskIn(short *pMaskIn);

    void ana_SetCtrlDefaultVal(short *pDefaultVal);
    void ana_GetCtrlDefaultVal(short *pCtrlDefaultVal);
    void ana_SetDataMaskIn(short *pMaskIn);
    void ana_GetDataMaskIn(short *pMaskIn);

    int ana_AnalyserRun(int NrSamples, bool StepStart, bool Message);
    int ana_AnalyserRunH(int NrSamples, bool StepStart, bool Message, int Handle);

    int ana_MakeConfFileTemplate(char *FileName);
    int ana_ReadConfFileAnalyser(char *FileName, bool Message);
    int ana_WriteConfFile(char *FileName);

    int  ana_GetLastErr(void);
    void ana_ResetCfg(void);
    void ana_Unsupervised(bool Enable);

    int  ana_GetCapturedData(int nr, short *CapturedData);
    void ana_SetExportAutoSave(bool AutoSave);
    bool ana_GetExportAutoSave(void);
    void ana_SetExportFileType(int Type);
    int  ana_GetExportFileType(void);
    int  ana_ExportRawBinFile(char *FileName);
    int  ana_ExportRawTextFile(char *FileName);
    int  ana_ExportVCDFile(char *FileName);

